%global appname GPXSee

Name:           gpxsee
Version:        5.15
Release:        2%{?dist}
Summary:        GPS log file viewer and analyzer

License:        GPLv3+
URL:            http://www.gpxsee.org/

Source0:        https://github.com/tumic0/%{appname}/archive/%{version}/%{appname}-%{version}.tar.gz
Source1:        %{name}.appdata.xml

BuildRequires:  gcc-c++
BuildRequires:  qt5-linguist
BuildRequires:  qt5-qtbase-devel
BuildRequires:  libappstream-glib
BuildRequires:  desktop-file-utils


%description
GPS log file viewer and analyzer with support for
GPX, TCX, KML, FIT, IGC and NMEA files.


%prep
%setup -qn %{appname}-%{version}


%build
lrelease-qt5 %{name}.pro
%{qmake_qt5} %{name}.pro
make %{?_smp_mflags}


%install
# executable
install -p -m 755 -D %{appname} %{buildroot}%{_bindir}/%{name}

# data files
install -d -p -m 755 %{buildroot}%{_datadir}/%{name}/csv
install -p -m 644 -D pkg/csv/* %{buildroot}%{_datadir}/%{name}/csv
install -d -p -m 755 %{buildroot}%{_datadir}/%{name}/maps
install -p -m 644 -D pkg/maps/* %{buildroot}%{_datadir}/%{name}/maps

# localization
install -d -p -m 755 %{buildroot}%{_datadir}/%{name}/translations
install -p -m 644 -D lang/*.qm %{buildroot}%{_datadir}/%{name}/translations
%find_lang %{name} --with-qt

# application icon
install -p -m 644 -D icons/%{name}.png %{buildroot}%{_datadir}/pixmaps/%{name}.png

# appdata
install -p -m 644 -D %{SOURCE1} %{buildroot}%{_datadir}/appdata/%{name}.appdata.xml
appstream-util validate-relax --nonet %{buildroot}%{_datadir}/appdata/%{name}.appdata.xml

# desktop file
desktop-file-install --dir=%{buildroot}%{_datadir}/applications pkg/%{name}.desktop

# mime support
install -p -m 644 -D pkg/%{name}.xml %{buildroot}%{_datadir}/mime/packages/%{name}.xml


%files -f %{name}.lang
%license licence.txt
%doc README.md
%{_bindir}/%{name}
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/csv/
%{_datadir}/%{name}/maps/
%dir %{_datadir}/%{name}/translations
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/applications/%{name}.desktop
%{_datadir}/mime/packages/%{name}.xml


%changelog
* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 5.15-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Jul 04 2018 Nikola Forró <nforro@redhat.com> - 5.15-1
- Update to version 5.15
  resolves: #1597925

* Mon Jun 25 2018 Nikola Forró <nforro@redhat.com> - 5.14-1
- Update to version 5.14
  resolves: #1594527

* Wed May 30 2018 Nikola Forró <nforro@redhat.com> - 5.13-1
- Update to version 5.13
  resolves: #1583873

* Mon May 28 2018 Nikola Forró <nforro@redhat.com> - 5.12-1
- Update to version 5.12
  resolves: #1582680

* Wed May 16 2018 Nikola Forró <nforro@redhat.com> - 5.11-1
- Update to version 5.11
  resolves: #1578169

* Fri May 11 2018 Nikola Forró <nforro@redhat.com> - 5.10-1
- Update to version 5.10
  resolves: #1576614

* Fri Apr 20 2018 Nikola Forró <nforro@redhat.com> - 5.9-1
- Update to version 5.9
  resolves: #1569761

* Thu Apr 19 2018 Nikola Forró <nforro@redhat.com> - 5.8-1
- Update to version 5.8
  resolves: #1568190

* Tue Apr 10 2018 Nikola Forró <nforro@redhat.com> - 5.6-1
- Update to version 5.6
  resolves: #1565383

* Wed Mar 21 2018 Nikola Forró <nforro@redhat.com> - 5.5-1
- Update to version 5.5
  resolves: #1558277

* Tue Mar 13 2018 Nikola Forró <nforro@redhat.com> - 5.4-1
- Update to version 5.4
  resolves: #1554158

* Mon Mar 05 2018 Nikola Forró <nforro@redhat.com> - 5.3-1
- Update to version 5.3
  resolves: #1550750

* Tue Feb 27 2018 Nikola Forró <nforro@redhat.com> - 5.2-1
- Update to version 5.2
  resolves: #1548602

* Tue Feb 20 2018 Nikola Forró <nforro@redhat.com> - 5.1-2
- Add missing gcc-c++ build dependency

* Tue Feb 13 2018 Nikola Forró <nforro@redhat.com> - 5.1-1
- Update to version 5.1
  resolves: #1544278

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 4.19-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Tue Jan 09 2018 Nikola Forró <nforro@redhat.com> - 4.19-1
- Update to version 4.19
  resolves: #1531971

* Tue Dec 12 2017 Nikola Forró <nforro@redhat.com> - 4.17-1
- Update to version 4.17
  resolves: #1524743

* Fri Oct 20 2017 Nikola Forró <nforro@redhat.com> - 4.16-1
- Update to version 4.16

* Wed Oct 11 2017 Nikola Forró <nforro@redhat.com> - 4.15-2
- Do not buildrequire qt5-devel, qt5-qtbase-devel is sufficient
- Buildrequire qt5-linguist needed for lrelease-qt5

* Tue Oct 10 2017 Nikola Forró <nforro@redhat.com> - 4.15-1
- Initial package
  resolves: #1500524
